# class NodeList

#### package js.html

Available on HTML5

`NodeList` objects are collections of nodes such as those returned by `Node.childNodes` and the `document.querySelectorAll` method.

Documentation NodeList by Mozilla Contributors, licensed under CC-BY-SA 2.5.

See:

https://developer.mozilla.org/en-US/docs/Web/API/NodeList

### Variables

###

`read onlylength:Int`

The number of nodes in the `NodeList`.

### Methods

###

`item (index:Int):Node`

Returns an item in the list by its index, or `null` if the index is out-of-bounds; can be used as an alternative to simply accessing `nodeList[idx]` (which instead returns `undefined` when `idx` is out-of-bounds).